# Ipopt::StdStepCalculator Class Reference

`#include <SensStdStepCalc.hpp>`

Inheritance diagram for Ipopt::StdStepCalculator:
[legend]

List of all members.

## Public Member Functions
| StdStepCalculator (SmartPtr< SchurData > ift_data, SmartPtr< SensBacksolver > backsolver)
virtual | ~StdStepCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
virtual bool | Step (DenseVector &delta_u, IteratesVector &sol)
| This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.
bool | BoundCheck (IteratesVector &sol, std::vector< Index > &x_bound_violations_idx, std::vector< Number > &x_bound_violations_du)
## Private Attributes
SmartPtr< SchurData > | ift_data_
SmartPtr< SensBacksolver > | backsolver_
Number | bound_eps_
bool | kkt_residuals_

## Detailed Description

Definition at line 18 of file SensStdStepCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::StdStepCalculator::StdStepCalculator | ( | SmartPtr< SchurData > | ift_data,
|  | SmartPtr< SensBacksolver > | backsolver |
| ) |  |  |

virtual Ipopt::StdStepCalculator::~StdStepCalculator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::StdStepCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Reimplemented from Ipopt::SensitivityStepCalculator.

virtual bool Ipopt::StdStepCalculator::Step | ( | DenseVector & | delta_u,
|  | IteratesVector & | sol |
| ) |  |  | `[virtual]`

This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.

Implements Ipopt::SensitivityStepCalculator.

bool Ipopt::StdStepCalculator::BoundCheck | ( | IteratesVector & | sol,
|  | std::vector< Index > & | x_bound_violations_idx,
|  | std::vector< Number > & | x_bound_violations_du |
| ) |  |  |

## Member Data Documentation

SmartPtr<SchurData> Ipopt::StdStepCalculator::ift_data_`[private]`

Definition at line 38 of file SensStdStepCalc.hpp.

SmartPtr<SensBacksolver> Ipopt::StdStepCalculator::backsolver_`[private]`

Definition at line 39 of file SensStdStepCalc.hpp.

Number Ipopt::StdStepCalculator::bound_eps_`[private]`

Definition at line 40 of file SensStdStepCalc.hpp.

bool Ipopt::StdStepCalculator::kkt_residuals_`[private]`

Definition at line 41 of file SensStdStepCalc.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensStdStepCalc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines